class FeedBackInfo {
  int result;
  int code;
  String msg;
  List<FeedBackInfoData> data;

  FeedBackInfo({this.result, this.code, this.msg, this.data});

  FeedBackInfo.fromJson(Map<String, dynamic> json) {
    result = json['result'];
    code = json['code'];
    msg = json['msg'];
    if (json['data'] != null) {
      data = new List<FeedBackInfoData>();
      json['data'].forEach((v) {
        data.add(new FeedBackInfoData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['result'] = this.result;
    data['code'] = this.code;
    data['msg'] = this.msg;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class FeedBackInfoData {
  String from;
  String content;
  List<String> images;
  String createdAt;
  int createTime;

  FeedBackInfoData({this.from, this.content, this.images, this.createdAt, this.createTime});

  FeedBackInfoData.fromJson(Map<String, dynamic> json) {
    from = json['from'];
    content = json['content'];
    images = json['images'].cast<String>();
    createdAt = json['createdAt'];
    createTime = json['createTime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['from'] = this.from;
    data['content'] = this.content;
    data['images'] = this.images;
    data['createdAt'] = this.createdAt;
    data['createTime'] = this.createTime;
    return data;
  }
}

class FeedTypeInfo {
  int result;
  int code;
  String msg;
  List<FeedTypeInfoData> data;

  FeedTypeInfo({this.result, this.code, this.msg, this.data});

  FeedTypeInfo.fromJson(Map<String, dynamic> json) {
    result = json['result'];
    code = json['code'];
    msg = json['msg'];
    if (json['data'] != null) {
      data = new List<FeedTypeInfoData>();
      json['data'].forEach((v) {
        data.add(new FeedTypeInfoData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['result'] = this.result;
    data['code'] = this.code;
    data['msg'] = this.msg;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class FeedTypeInfoData {
  String groupId;
  String groupName;
  List<Types> types;

  FeedTypeInfoData({this.groupId, this.groupName, this.types});

  FeedTypeInfoData.fromJson(Map<String, dynamic> json) {
    groupId = json['groupId'];
    groupName = json['groupName'];
    if (json['types'] != null) {
      types = new List<Types>();
      json['types'].forEach((v) {
        types.add(new Types.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['groupId'] = this.groupId;
    data['groupName'] = this.groupName;
    if (this.types != null) {
      data['types'] = this.types.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Types {
  String typeId;
  String typeName;

  Types({this.typeId, this.typeName});

  Types.fromJson(Map<String, dynamic> json) {
    typeId = json['typeId'];
    typeName = json['typeName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['typeId'] = this.typeId;
    data['typeName'] = this.typeName;
    return data;
  }
}